Package org.drinkless.tdlib

# Class TdApi.BotVerificationParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BotVerificationParameters

Enclosing class:
  `TdApi`

public static class TdApi.BotVerificationParameters extends TdApi.Object
Describes parameters of verification that is provided by a bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canSetCustomDescription`
  True, if the bot is allowed to provide custom description for verified entities.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `defaultCustomDescription`
  Default custom description of verification reason to be used as placeholder in setMessageSenderBotVerification; may be null if none.
  `long`
  `iconCustomEmojiId`
  Identifier of the custom emoji that is used as the verification sign.
  `String`
  `organizationName`
  Name of the organization that provides verification.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotVerificationParameters()`
  Describes parameters of verification that is provided by a bot.
  `BotVerificationParameters(long iconCustomEmojiId, String organizationName, TdApi.FormattedText defaultCustomDescription, boolean canSetCustomDescription)`
  Describes parameters of verification that is provided by a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### iconCustomEmojiId

    public long iconCustomEmojiId
    Identifier of the custom emoji that is used as the verification sign.

  - ### organizationName

    public String organizationName
    Name of the organization that provides verification.

  - ### defaultCustomDescription

    @Nullable public TdApi.FormattedText defaultCustomDescription
    Default custom description of verification reason to be used as placeholder in setMessageSenderBotVerification; may be null if none.

  - ### canSetCustomDescription

    public boolean canSetCustomDescription
    True, if the bot is allowed to provide custom description for verified entities.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BotVerificationParameters

    public BotVerificationParameters()
    Describes parameters of verification that is provided by a bot.

  - ### BotVerificationParameters

    public BotVerificationParameters(long iconCustomEmojiId, String organizationName, TdApi.FormattedText defaultCustomDescription, boolean canSetCustomDescription)
    Describes parameters of verification that is provided by a bot.
    Parameters:
      `iconCustomEmojiId` - Identifier of the custom emoji that is used as the verification sign.
      `organizationName` - Name of the organization that provides verification.
      `defaultCustomDescription` - Default custom description of verification reason to be used as placeholder in setMessageSenderBotVerification; may be null if none.
      `canSetCustomDescription` - True, if the bot is allowed to provide custom description for verified entities.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR